package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.WmshOutboundResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface WmshOutboundResultMapper extends IBaseMapper<WmshOutboundResult, BigDecimal> {

    //查询最大序列号用于主键
    @Select("select seq_wmsh_grid_material.nextval from dual")
    Integer getResultId();

    //查询所有的出库实绩
    List<Map<String, Object>> getAllResult(Map<String, Object> map);

    int updateForBind(Map<String, Object> map);
}